using System.Collections.Generic;

namespace TouchyTickets {
    public abstract class Platform {

        public abstract void SetupOnlineInteractions(Dictionary<string, object> analyticsJson);

        public abstract void AddResourceEvent(bool sink, string currency, float amount, string itemType, string itemId);

        public abstract void SetKeepScreenOn(bool keep);

        public abstract void OpenRateLink();

    }
}